Skip to main content
POST
Create text completion
Ceci est un endpoint hérité. Pour la plupart des cas d’utilisation, utilisez Chat Completions à la place.

Corps de la requête

string
requis
Identifiant du modèle à utiliser.
string | string[]
requis
Le(s) prompt(s) pour lesquels générer des complétions.
integer
défaut:16
Nombre maximum de tokens à générer.
number
défaut:1
Température d’échantillonnage entre 0 et 2.
number
défaut:1
Paramètre d’échantillonnage par noyau.
string | string[]
Séquence(s) d’arrêt.
string
Texte à ajouter après la complétion.

Réponse

Exemple

Autorisations

Authorization
string
header
requis

API key authentication. Pass your OpenModex API key as a Bearer token in the Authorization header: Authorization: Bearer omx_sk_...

Corps

application/json

Request body for creating a text completion (legacy).

model
string
requis

ID of the model to use.

prompt
requis

The prompt(s) to generate completions for.

max_tokens
integer

The maximum number of tokens to generate.

temperature
number

Sampling temperature between 0 and 2.

top_p
number

Nucleus sampling parameter.

n
integer

How many completions to generate for each prompt.

stream
boolean
défaut:false

Whether to stream back partial progress via SSE.

stop

Up to 4 sequences where the API will stop generating further tokens.

frequency_penalty
number

Penalizes new tokens based on their existing frequency in the text.

presence_penalty
number

Penalizes new tokens based on whether they appear in the text so far.

logit_bias
object

Modify the likelihood of specified tokens appearing in the completion.

suffix
string

The suffix that comes after a completion of inserted text.

user
string

A unique identifier representing your end-user.

routing
object

Configuration for intelligent request routing.

Réponse

Text completion response.

Response from a text completion request.

id
string

A unique identifier for the completion.

object
enum<string>

The object type, always 'text_completion'.

Options disponibles:
text_completion
created
integer

Unix timestamp (in seconds) of when the completion was created.

model
string

The model used for the completion.

choices
object[]

A list of completion choices.

usage
object

Token usage statistics for a completion request.

openmodex
object

OpenModex-specific metadata included in completion responses.